ioqueue(3)

NAME
ioqueue - Generic RTP input/output queues.

  Classes

class RTPDataQueue
A packet queue handler for building different kinds of RTP protocol systems.

  Enumerations

enum RTPDataQueue::Tos { RTPDataQueue::tosBestEffort, RTPDataQueue::tosEnhanced }
rtp.h cc++/rtp.h

Detailed Description

Enumeration Type Documentation

  enum RTPDataQueue::Tos

rtp.h cc++/rtp.h Type of network service the application uses.

If the application uses enhanced network service, for instance Integrated Services or Differentiated Services, it has not to ensure fair competition with TCP, provided that the requested service is actually being delivered. Whenever the application uses best-effort service or the requested enhanced service is not actually being delivered, it has to ensure fair competition with TCP. By default, best-effot is assumed.

Note:
    Although not required, RTP packets are always sent on top of UDP segments. No other underlying transport protocol is supported at present.

Enumerator

tosBestEffort
    Best-effort network service.

tosEnhanced
    Enhanced network service.

Author

Generated automatically by Doxygen for ccRTP from the source code.